---
title: Suno 翻唱音訊 | RunAPI
description: 使用 cover audio 端點建立非同步 Task。
url: https://runapi.ai/zh-TW/docs/api/suno/cover-audio.md
canonical: https://runapi.ai/zh-TW/docs/api/suno/cover-audio
locale: zh-TW
---

> HTML 版本: https://runapi.ai/zh-TW/docs/api/suno/cover-audio
> 代理程式網站索引: https://runapi.ai/llms.txt

# Suno 翻唱音訊

## 概覽

使用 cover audio 端點搭配支援的模型。使用回傳的 Task ID 取得其狀態，或提供 callback_url 以接收下方說明的傳遞通知。

### 快速入門

1. 建立 API 金鑰並將其設定為 RUNAPI_API_KEY。
2. 選擇支援的模型，並傳送本文符合該模型結構描述的 POST 請求。
3. 儲存返回的任務 ID，然後輪詢直到終止狀態，或處理下方說明的回呼。

## 端點

POST /api/v1/suno/cover_audio

基礎 URL: https://runapi.ai

API 版本: v1

身分驗證: Authorization: Bearer YOUR_API_TOKEN

## 支援的模型

開啟模型頁面以查看目前的定價、速率限制及商業用途詳情。

- [suno-v4](https://runapi.ai/zh-TW/models/suno/v4)
- [suno-v4.5](https://runapi.ai/zh-TW/models/suno/v4.5)
- [suno-v4.5-all](https://runapi.ai/zh-TW/models/suno/v4.5-all)
- [suno-v4.5-plus](https://runapi.ai/zh-TW/models/suno/v4.5-plus)
- [suno-v5](https://runapi.ai/zh-TW/models/suno/v5)
- [suno-v5.5](https://runapi.ai/zh-TW/models/suno/v5.5)

## 請求綱要

欄位及允許值取決於所選模型。若提供 callback_url，其將接收下方記錄的 Task 交付內容。

### suno-v4

```json
{
  "audio_weight": {
    "description": "音訊權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "用於非同步通知的 Webhook URL。",
    "type": "string"
  },
  "lyrics": {
    "description": "要演唱的確切封面歌詞。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "模型 slug。",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "需避免的風格。",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona ID。",
    "type": "string"
  },
  "persona_type": {
    "description": "Persona 類型。",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "自動生成歌詞的創作摘要。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "音樂風格。",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "風格遵循權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "音樂標題。",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "要翻唱的音訊檔案 URL。",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "人聲性別。",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "人聲生成模式。",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "奇異度限制（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v4.5

```json
{
  "audio_weight": {
    "description": "音訊權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "用於非同步通知的 Webhook URL。",
    "type": "string"
  },
  "lyrics": {
    "description": "要演唱的確切封面歌詞。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "模型 slug。",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "需避免的風格。",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona ID。",
    "type": "string"
  },
  "persona_type": {
    "description": "Persona 類型。",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "自動生成歌詞的創作摘要。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "音樂風格。",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "風格遵循權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "音樂標題。",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "要翻唱的音訊檔案 URL。",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "人聲性別。",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "人聲生成模式。",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "奇異度限制（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v4.5-all

```json
{
  "audio_weight": {
    "description": "音訊權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "用於非同步通知的 Webhook URL。",
    "type": "string"
  },
  "lyrics": {
    "description": "要演唱的確切封面歌詞。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "模型 slug。",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "需避免的風格。",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona ID。",
    "type": "string"
  },
  "persona_type": {
    "description": "Persona 類型。",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "自動生成歌詞的創作摘要。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "音樂風格。",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "風格遵循權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "音樂標題。",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "要翻唱的音訊檔案 URL。",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "人聲性別。",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "人聲生成模式。",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "奇異度限制（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v4.5-plus

```json
{
  "audio_weight": {
    "description": "音訊權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "用於非同步通知的 Webhook URL。",
    "type": "string"
  },
  "lyrics": {
    "description": "要演唱的確切封面歌詞。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "模型 slug。",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "需避免的風格。",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona ID。",
    "type": "string"
  },
  "persona_type": {
    "description": "Persona 類型。",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "自動生成歌詞的創作摘要。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "音樂風格。",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "風格遵循權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "音樂標題。",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "要翻唱的音訊檔案 URL。",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "人聲性別。",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "人聲生成模式。",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "奇異度限制（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v5

```json
{
  "audio_weight": {
    "description": "音訊權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "用於非同步通知的 Webhook URL。",
    "type": "string"
  },
  "lyrics": {
    "description": "要演唱的確切封面歌詞。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "模型 slug。",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "需避免的風格。",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona ID。",
    "type": "string"
  },
  "persona_type": {
    "description": "Persona 類型。",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "自動生成歌詞的創作摘要。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "音樂風格。",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "風格遵循權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "音樂標題。",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "要翻唱的音訊檔案 URL。",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "人聲性別。",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "人聲生成模式。",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "奇異度限制（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

### suno-v5.5

```json
{
  "audio_weight": {
    "description": "音訊權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "callback_url": {
    "description": "用於非同步通知的 Webhook URL。",
    "type": "string"
  },
  "lyrics": {
    "description": "要演唱的確切封面歌詞。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "model": {
    "description": "模型 slug。",
    "required": true,
    "type": "string"
  },
  "negative_tags": {
    "description": "需避免的風格。",
    "type": "string"
  },
  "persona_id": {
    "description": "Persona ID。",
    "type": "string"
  },
  "persona_type": {
    "description": "Persona 類型。",
    "enum": [
      "style",
      "voice"
    ],
    "type": "string"
  },
  "prompt": {
    "description": "自動生成歌詞的創作摘要。",
    "length": true,
    "max": 5000,
    "type": "string"
  },
  "style": {
    "description": "音樂風格。",
    "length": true,
    "max": 1000,
    "type": "string"
  },
  "style_weight": {
    "description": "風格遵循權重（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  },
  "title": {
    "description": "音樂標題。",
    "length": true,
    "max": 80,
    "type": "string"
  },
  "upload_url": {
    "description": "要翻唱的音訊檔案 URL。",
    "required": true,
    "type": "string"
  },
  "vocal_gender": {
    "description": "人聲性別。",
    "enum": [
      "male",
      "female"
    ],
    "type": "string"
  },
  "vocal_mode": {
    "description": "人聲生成模式。",
    "enum": [
      "auto_lyrics",
      "exact_lyrics",
      "instrumental"
    ],
    "required": true,
    "type": "string"
  },
  "weirdness_constraint": {
    "description": "奇異度限制（0-1）。",
    "max": 1,
    "min": 0,
    "type": "number"
  }
}
```

#### 條件規則

當所有列出的條件均符合時，這些需求即適用。

- **當**: `vocal_mode` = `auto_lyrics`; **必填**: `prompt`; **不接受**: `lyrics`, `style`, `title`
- **當**: `vocal_mode` = `exact_lyrics`; **必填**: `lyrics`, `style`, `title`; **不接受**: `prompt`
- **當**: `vocal_mode` = `instrumental`; **必填**: `style`, `title`; **不接受**: `prompt`, `lyrics`

## 建立接受記錄

HTTP 202 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    },
    "task_replayed": {
      "type": "boolean"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 輪詢處理中

HTTP 200 - GET /api/v1/suno/cover_audio/:id

### 回應綱要

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "generation_stage": "text_generated",
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 輪詢已完成

HTTP 200 - GET /api/v1/suno/cover_audio/:id

### 回應綱要

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready",
        "all_audios_ready",
        "failed"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "audios": [
    {
      "audio_url": "https://file.runapi.ai/reference-audio.mp3",
      "id": "audio_reference"
    }
  ],
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "tsk_reference_demo",
  "status": "completed"
}
```

## 輪詢失敗

HTTP 200 - GET /api/v1/suno/cover_audio/:id

### 回應綱要

```json
{
  "properties": {
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "error": {
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "error": "Task processing failed.",
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 客戶回呼：處理中

HTTP 200 - POST callback_url

### 回應綱要

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "processing"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "generation_stage": "text_generated",
  "id": "tsk_reference_demo",
  "status": "processing"
}
```

## 客戶回呼：已完成

HTTP 200 - POST callback_url

### 回應綱要

```json
{
  "properties": {
    "audios": {
      "items": {
        "properties": {
          "audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "duration": {
            "type": "number"
          },
          "id": {
            "type": "string"
          },
          "image_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "lyrics": {
            "type": "string"
          },
          "model_name": {
            "type": "string"
          },
          "stream_audio_url": {
            "type": "string",
            "x-runapi-generated-media": true
          },
          "tags": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "title": {
            "type": "string"
          }
        },
        "required": [
          "id"
        ],
        "type": "object",
        "unevaluatedProperties": false
      },
      "type": "array"
    },
    "generation_stage": {
      "enum": [
        "text_generated",
        "first_audio_ready",
        "all_audios_ready",
        "failed"
      ],
      "type": "string"
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "completed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "audios"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "audios": [
    {
      "audio_url": "https://file.runapi.ai/reference-audio.mp3",
      "id": "audio_reference"
    }
  ],
  "id": "tsk_reference_demo",
  "status": "completed"
}
```

## 客戶回呼：失敗

HTTP 200 - POST callback_url

### 回應綱要

```json
{
  "properties": {
    "error": {
      "oneOf": [
        {
          "type": "string"
        },
        {
          "properties": {
            "code": {
              "type": "string"
            },
            "limit_cents": {
              "type": "integer"
            },
            "message": {
              "type": "string"
            },
            "reset_at": {
              "format": "date-time",
              "type": [
                "string",
                "null"
              ]
            },
            "used_cents": {
              "type": "integer"
            },
            "window": {
              "enum": [
                "1h",
                "1d",
                "7d",
                "daily",
                "weekly",
                "monthly",
                "lifetime"
              ],
              "type": "string"
            }
          },
          "required": [
            "code",
            "message"
          ],
          "type": "object",
          "unevaluatedProperties": false
        }
      ]
    },
    "id": {
      "type": "string"
    },
    "status": {
      "enum": [
        "failed"
      ],
      "type": "string"
    }
  },
  "required": [
    "id",
    "status",
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": {
    "code": "generation_failed",
    "message": "Task processing failed."
  },
  "id": "tsk_reference_demo",
  "status": "failed"
}
```

## 錯誤

HTTP 401 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Authentication required"
}
```

## 錯誤

HTTP 401 - GET /api/v1/suno/cover_audio/:id

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Authentication required"
}
```

## 錯誤

HTTP 400 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為索引鍵的驗證訊息，每個欄位包含一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 回應範例

```json
{
  "error": "model must be one of: suno-v4, suno-v4.5, suno-v4.5-all, suno-v4.5-plus, suno-v5, suno-v5.5"
}
```

## 錯誤

HTTP 402 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Insufficient balance"
}
```

## 錯誤

HTTP 429 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "API key credit limit exceeded"
}
```

## 錯誤

HTTP 409 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## 錯誤

HTTP 429 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## 錯誤

HTTP 503 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## 錯誤

HTTP 504 - POST /api/v1/suno/cover_audio

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "The request timed out"
}
```

## 錯誤

HTTP 404 - GET /api/v1/suno/cover_audio/:id

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Task with id 'tsk_reference_demo' not found"
}
```

## 產生的程式碼範例

直接使用 cURL，或為您的程式語言安裝 SDK。每個範例均會提交本參考中所示的已驗證請求。

### curl

```curl
curl -X POST https://runapi.ai/api/v1/suno/cover_audio \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"model":"suno-v5","upload_url":"https://cdn.runapi.ai/public/samples/music.mp3","vocal_mode":"auto_lyrics","prompt":"Rework the track as upbeat acoustic pop.","persona_id":"persona_reference","persona_type":"style"}'
```

### javascript

#### 安裝

```bash
npm install @runapi.ai/suno
```

```javascript
import { SunoClient } from "@runapi.ai/suno";

const client = new SunoClient({ apiKey: process.env.RUNAPI_API_KEY });
const task = await client.coverAudio.create({
  "model": "suno-v5",
  "upload_url": "https://cdn.runapi.ai/public/samples/music.mp3",
  "vocal_mode": "auto_lyrics",
  "prompt": "Rework the track as upbeat acoustic pop.",
  "persona_id": "persona_reference",
  "persona_type": "style"
});
```

### python

#### 安裝

```bash
pip install runapi-suno
```

```python
import os
from runapi.suno import SunoClient

client = SunoClient(api_key=os.environ["RUNAPI_API_KEY"])
task = client.cover_audio.create(
  model="suno-v5",
  upload_url="https://cdn.runapi.ai/public/samples/music.mp3",
  vocal_mode="auto_lyrics",
  prompt="Rework the track as upbeat acoustic pop.",
  persona_id="persona_reference",
  persona_type="style"
)
```

### go

#### 安裝

```bash
go get github.com/runapi-ai/suno-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  suno "github.com/runapi-ai/suno-sdk/go/suno"
)

func main() {
  client, err := suno.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  task, err := client.CoverAudio.Create(context.Background(), suno.CoverAudioParams{
    Model: suno.SunoModel("suno-v5"),
    UploadURL: "https://cdn.runapi.ai/public/samples/music.mp3",
    VocalMode: suno.VocalMode("auto_lyrics"),
    Prompt: "Rework the track as upbeat acoustic pop.",
    PersonaID: "persona_reference",
    PersonaType: suno.PersonaType("style"),
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = task
}
```

### ruby

#### 安裝

```bash
gem install runapi-suno
```

```ruby
require "runapi/suno"

client = RunApi::Suno::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
task = client.cover_audio.create(
  model: "suno-v5",
  upload_url: "https://cdn.runapi.ai/public/samples/music.mp3",
  vocal_mode: "auto_lyrics",
  prompt: "Rework the track as upbeat acoustic pop.",
  persona_id: "persona_reference",
  persona_type: "style"
)
```

### java

#### 安裝

```kotlin
implementation("ai.runapi:runapi-suno")
```

```java
import ai.runapi.suno.SunoClient;
import ai.runapi.suno.types.CoverAudioParams;
import ai.runapi.core.polling.TaskCreateResponse;

public final class Example {
  public static void main(String[] args) {
    SunoClient client = SunoClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    TaskCreateResponse task = client.coverAudio().create(
        CoverAudioParams.builder()
        .model("suno-v5")
        .uploadUrl("https://cdn.runapi.ai/public/samples/music.mp3")
        .vocalMode("auto_lyrics")
        .prompt("Rework the track as upbeat acoustic pop.")
        .personaId("persona_reference")
        .personaType("style")
            .build()
    );
  }
}
```

### php

#### 安裝

```bash
composer require runapi-ai/suno
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\Suno\SunoClient;

$client = new SunoClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$task = $client->coverAudio->create([
  "model" => "suno-v5",
  "upload_url" => "https://cdn.runapi.ai/public/samples/music.mp3",
  "vocal_mode" => "auto_lyrics",
  "prompt" => "Rework the track as upbeat acoustic pop.",
  "persona_id" => "persona_reference",
  "persona_type" => "style"
]);
```

## 相關指南

- [身分驗證](https://runapi.ai/zh-TW/docs/guides/authentication.md)
- [快速入門](https://runapi.ai/zh-TW/docs/guides/task-api/quickstart.md)

---

## RunAPI 的更多內容

- [首頁](https://runapi.ai/zh-TW/.md)
- [模型目錄](https://runapi.ai/zh-TW/models.md)
- [價格](https://runapi.ai/zh-TW/pricing.md)
- [提供商](https://runapi.ai/zh-TW/models)
- [文件](https://runapi.ai/zh-TW/docs/guides)
- [SDK](https://runapi.ai/zh-TW/sdk.md)
- [CLI](https://runapi.ai/zh-TW/cli.md)
- [MCP Server](https://runapi.ai/zh-TW/mcp.md)
- [Claude Code 與 Cursor](https://runapi.ai/zh-TW/claude-code-vs-cursor.md)
- [Cursor API 設定](https://runapi.ai/zh-TW/cursor-api-setup.md)
- [RunAPI 與 OpenRouter](https://runapi.ai/zh-TW/openrouter-alternative.md)
- [企業版](https://runapi.ai/zh-TW/contact.md)
- [聯絡我們](https://runapi.ai/zh-TW/contact.md)
- [服務條款](https://runapi.ai/zh-TW/terms.md)
- [隱私權](https://runapi.ai/zh-TW/privacy.md)
- [代理程式網站索引](https://runapi.ai/llms.txt)

聯絡我們: contact@runapi.ai

## 結構化資料

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-TW",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-TW",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/zh-TW/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-TW",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-TW",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/zh-TWicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-TW",
    "@type": "TechArticle",
    "headline": "Suno 翻唱音訊",
    "description": "使用 cover audio 端點建立非同步 Task。",
    "url": "https://runapi.ai/zh-TW/docs/api/suno/cover-audio",
    "mainEntityOfPage": "https://runapi.ai/zh-TW/docs/api/suno/cover-audio"
  }
]
```
